curl --request PATCH \
--url 'https://api.us.nylas.com/v3/applications' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <NYLAS_API_KEY>' \
--data '{
"branding": {
"name": "<APPLICATION_NAME>",
"icon_url": "<ICON_URL>",
"website_url": "<WEBSITE_URL>",
"description": "<APPLICATION_DESCRIPTION>"
},
"hosted_authentication": {
"background_image_url": "<BACKGROUND_IMAGE_URL>",
"alignment": "<ALIGNMENT>",
"color_primary": "<COLOR_PRIMARY>",
"color_secondary": "<COLOR_SECONDARY>",
"title": "<TITLE>",
"subtitle": "<SUBTITLE>",
"background_color": "<BACKGROUND_COLOR>",
"spacing": 10
},
"callback_uris": [
{
"id": "<CALLBACK_URI_ID>",
"url": "<CALLBACK_URL>",
"platform": "<PLATFORM>",
"settings": {
"origin": "<ORIGIN>",
"bundle_id": "<BUNDLE_ID>",
"package_name": "<PACKAGE_NAME>",
"sha1_certificate_fingerprint": "<SHA1_FINGERPRINT>"
}
}
]
}'